Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg.model
Class PropertyQueue

    java.lang.Object
      java.io.OutputStream
          de.grogra.util.OutputQueue
              de.grogra.util.HierarchicalQueue
                  de.grogra.persistence.XAQueue
                      de.grogra.persistence.ModificationQueue
                          de.grogra.rgg.model.PropertyQueue

All Implemented Interfaces:
  PersistenceOutput, TransferableQueue, Queue, java.io.Closeable, java.io.DataOutput, java.io.Flushable, java.io.ObjectOutput

    public class PropertyQueue

extends ModificationQueue
implements TransferableQueue

Nested Class Summary
`static class` | `PropertyQueue.MakePersistentDescriptor`
`static class` | `PropertyQueue.PropertyQueueDescriptor`

Nested classes/interfaces inherited from class de.grogra.persistence.ModificationQueue
`ModificationQueue.Applier`

Nested classes/interfaces inherited from class de.grogra.persistence.XAQueue
`XAQueue.Data, XAQueue.Reader`

Nested classes/interfaces inherited from class de.grogra.util.HierarchicalQueue
`HierarchicalQueue.Cursor`

Field Summary
`static PropertyQueue.MakePersistentDescriptor` | `MAKE_PERSISTENT`
`static PropertyQueue.PropertyQueueDescriptor` | `PROPERTY_QUEUE`

Fields inherited from class de.grogra.persistence.ModificationQueue
`ADD_BYTE, ADD_CHAR, ADD_DOUBLE, ADD_FLOAT, ADD_INT, ADD_LONG, ADD_SHORT, AND_BOOLEAN, AND_BYTE, AND_CHAR, AND_INT, AND_LONG, AND_SHORT, DIV_BYTE, DIV_CHAR, DIV_DOUBLE, DIV_FLOAT, DIV_INT, DIV_LONG, DIV_SHORT, MIN_UNUSED_ITEM, MUL_BYTE, MUL_CHAR, MUL_DOUBLE, MUL_FLOAT, MUL_INT, MUL_LONG, MUL_SHORT, OR_BOOLEAN, OR_BYTE, OR_CHAR, OR_INT, OR_LONG, OR_SHORT, SET_BOOLEAN, SET_BYTE, SET_CHAR, SET_DOUBLE, SET_FLOAT, SET_INT, SET_LONG, SET_OBJECT, SET_SHORT, TYPE, XOR_BOOLEAN, XOR_BYTE, XOR_CHAR, XOR_INT, XOR_LONG, XOR_SHORT`

Fields inherited from class de.grogra.persistence.XAQueue
`cache, manager`

Fields inherited from class de.grogra.util.HierarchicalQueue
`BEGIN_LEVEL, IS_FINISHED, ITEM_AND_BITS_MASK, ITEM_MASK, MAX_UNUSED_BIT, MIN_UNUSED_BIT, NEXT_EXISTS, out`

Method Summary
`void` | `clear()` Clears the queue.
`void` | `clearSegmentsToExclude(int[] segs)`
`QueueDescriptor<?>` | `getDescriptor()` Returns the descriptor which was used to create this queue.
`void` | `markSegment(int n)`
`boolean` | `process(int[] segments)` Processes all queued tasks.
`void` | `read(java.io.DataInput in)`
`void` | `resetToSegment(int n)`
`boolean` | `write(java.io.DataOutput out)`

Methods inherited from class de.grogra.persistence.ModificationQueue
`addByte, addChar, addDouble, addFloat, addInt, addLong, addShort, andBoolean, andByte, andChar, andInt, andLong, andShort, apply, beginManaged, createApplier, divByte, divChar, divDouble, divFloat, divInt, divLong, divShort, makePersistent, mulByte, mulChar, mulDouble, mulFloat, mulInt, mulLong, mulShort, orBoolean, orByte, orChar, orInt, orLong, orShort, setBoolean, setByte, setChar, setDouble, setFloat, setInt, setLong, setObject, setShort, xorBoolean, xorByte, xorChar, xorInt, xorLong, xorShort`

Methods inherited from class de.grogra.persistence.XAQueue
`beginArray, beginField, beginFields, createData, endArray, endField, endFields, endManaged, getPersistenceManager, setNested, writeComponentSeparator, writeName, writeNullObject, writeObject, writePersistentObjectReference, writeSharedObjectReference, writeString, writeStringObject`

Methods inherited from class de.grogra.util.HierarchicalQueue
`beginLevel, beginSkipBlock, cloneData, discardLevel, endLevel, endSkipBlock, getCursor, getData, hasItems, hasItemsInCurrentLevel, moveTo, restore, setItemSize, writeItem, writeObject, writeObjectInStream`

Methods inherited from class de.grogra.util.OutputQueue
`close, dump, flush, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeObjectInQueue, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceOutput
`writeBoolean, writeByte, writeChar, writeDouble, writeFloat, writeInt, writeLong, writeShort`

Methods inherited from interface java.io.ObjectOutput
`close, flush, write, write, write`

Methods inherited from interface java.io.DataOutput
`writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Field Detail

### MAKE_PERSISTENT

    public static final PropertyQueue.MakePersistentDescriptor MAKE_PERSISTENT

### PROPERTY_QUEUE

    public static final PropertyQueue.PropertyQueueDescriptor PROPERTY_QUEUE

Method Detail

### clear

    public void clear()

  Description copied from interface: `Queue`
  Clears the queue. This is invoked by the `QueueCollection` in order to reuse the queue for a new transformation step.

  Specified by:
    `clear` in interface `Queue`
  Overrides:
    `clear` in class `XAQueue`

### clearSegmentsToExclude

    public void clearSegmentsToExclude(int[] segs)

  Specified by:
    `clearSegmentsToExclude` in interface `Queue`

### getDescriptor

    public QueueDescriptor<?> getDescriptor()

  Description copied from interface: `Queue`
  Returns the descriptor which was used to create this queue.

  Specified by:
    `getDescriptor` in interface `Queue`
  Returns:
    descriptor of this queue
  See Also:
    `QueueCollection.getQueue(QueueDescriptor)`, `QueueDescriptor.createQueue(QueueCollection)`

### markSegment

    public void markSegment(int n)

  Specified by:
    `markSegment` in interface `Queue`

### process

    public boolean process(int[] segments)
                    throws RuntimeModelException

  Description copied from interface: `Queue`
  Processes all queued tasks. This method is invoked by `QueueCollection.process(int[])`.

  Specified by:
    `process` in interface `Queue`
  Returns:
    `true` iff the execution of tasks resulted in modifications to the `Graph`
  Throws:
    `RuntimeModelException` - if some error occurs during execution

### read

    public void read(java.io.DataInput in)
              throws java.io.IOException

  Specified by:
    `read` in interface `TransferableQueue`
  Throws:
    `java.io.IOException`

### resetToSegment

    public void resetToSegment(int n)

  Specified by:
    `resetToSegment` in interface `Queue`

### write

    public boolean write(java.io.DataOutput out)
                  throws java.io.IOException

  Specified by:
    `write` in interface `TransferableQueue`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD